"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const Loader = props => {
  const {
    size,
    animationDuration,
    color,
    spacing
  } = props;
  const dot_1 = (0, _reactNativeReanimated.useSharedValue)(1);
  const dot_2 = (0, _reactNativeReanimated.useSharedValue)(1);
  const dot_3 = (0, _reactNativeReanimated.useSharedValue)(1);
  const circleColor = color ?? '#00b9fc';
  (0, _react.useEffect)(() => {
    let d = animationDuration ?? 600;
    dot_1.value = (0, _reactNativeReanimated.withRepeat)((0, _reactNativeReanimated.withSequence)((0, _reactNativeReanimated.withTiming)(1.3, {
      duration: d
    }), (0, _reactNativeReanimated.withTiming)(1, {
      duration: d
    })), -1, true) ?? 1;
    dot_2.value = (0, _reactNativeReanimated.withRepeat)((0, _reactNativeReanimated.withDelay)(d / 2, (0, _reactNativeReanimated.withSequence)((0, _reactNativeReanimated.withTiming)(1.3, {
      duration: d
    }), (0, _reactNativeReanimated.withTiming)(1, {
      duration: d
    }))), -1, true) ?? 1;
    dot_3.value = (0, _reactNativeReanimated.withRepeat)((0, _reactNativeReanimated.withDelay)(d, (0, _reactNativeReanimated.withSequence)((0, _reactNativeReanimated.withTiming)(1.3, {
      duration: d
    }), (0, _reactNativeReanimated.withTiming)(1, {
      duration: d
    }))), -1, true) ?? 1;
  }, []);
  const animated_1 = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    transform: [{
      scale: dot_1.value
    }]
  }));
  const animated_2 = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    transform: [{
      scale: dot_2.value
    }]
  }));
  const animated_3 = (0, _reactNativeReanimated.useAnimatedStyle)(() => ({
    transform: [{
      scale: dot_3.value
    }]
  }));
  const style = {
    width: size,
    height: size,
    marginHorizontal: spacing ?? 3,
    borderRadius: size / 2,
    backgroundColor: circleColor
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexGrow: 0,
      flexDirection: 'row',
      alignItems: 'center',
      justifyContent: 'center'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: [style, animated_1]
  }), /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: [style, animated_2]
  }), /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: [style, animated_3]
  }));
};
var _default = Loader;
exports.default = _default;
//# sourceMappingURL=index.js.map